## class: `WyToasts`, `wy-toasts`

Wrapper for displaying and handling toasts as popovers.

### Fields

| Name   | Type      | Default | Description                         | Inherited From |
| ------ | --------- | ------- | ----------------------------------- | -------------- |
| `show` | `boolean` | `false` | Whether the popover layer is shown. |                |

### Methods

| Name    | Description              | Parameters | Return | Inherited From |
| ------- | ------------------------ | ---------- | ------ | -------------- |
| `close` | Close the popover layer. |            |        |                |

### Events

| Name   | Type            | Description                             | Inherited From |
| ------ | --------------- | --------------------------------------- | -------------- |
| `hide` | `HideEventType` | Fired when the popover layer is hidden. |                |

### Attributes

| Name   | Field | Inherited From |
| ------ | ----- | -------------- |
| `show` | show  |                |

### CSS Parts

| Name        | Description               |
| ----------- | ------------------------- |
| `wy-toasts` | Popover layer for toasts. |

### Slots

| Name | Description                |
| ---- | -------------------------- |
|      | Any \`wy-toasts\` to show. |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |
| `viewportRef` | private   |      |                                   |             |                |

</details>

<hr/>

## class: `WyToast`, `wy-toast`

Toast for displaying information, messages and alerts. May be handled by `wy-toasts` for popover capability.

### Static Fields

| Name              | Privacy | Type     | Default | Description | Inherited From |
| ----------------- | ------- | -------- | ------- | ----------- | -------------- |
| `defaultDuration` |         | `number` | `5000`  |             |                |

### Fields

| Name       | Type     | Default | Description                                             | Inherited From |
| ---------- | -------- | ------- | ------------------------------------------------------- | -------------- |
| `duration` | `number` |         | Duration for the toast to show.&#xA;Defaults to 5000ms. |                |

### Methods

| Name    | Description               | Parameters        | Return | Inherited From |
| ------- | ------------------------- | ----------------- | ------ | -------------- |
| `hide`  | Hide the toast.           |                   |        |                |
| `close` | Hide and close the toast. | `silent: boolean` |        |                |

### Events

| Name     | Type              | Description                | Inherited From |
| -------- | ----------------- | -------------------------- | -------------- |
| `closed` | `ClosedEventType` | When the toast has closed. |                |

### Attributes

| Name       | Field    | Inherited From |
| ---------- | -------- | -------------- |
| `duration` | duration |                |

### CSS Parts

| Name       | Description                    |
| ---------- | ------------------------------ |
| `wy-toast` | The wrapper for the toast.     |
| `wy-fade`  | State for using fade effects.  |
| `wy-show`  | State when the toast is shown. |

### Slots

| Name | Description            |
| ---- | ---------------------- |
|      | Content for the toast. |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type                  | Default                           | Description | Inherited From |
| ------------- | --------- | --------------------- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |                       | `new ShadowPartsController(this)` |             |                |
| `toastRef`    | private   |                       |                                   |             |                |
| `timeout`     | private   | `number \| undefined` |                                   |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name        | Declaration | Module                        | Package |
| --------------------------- | ----------- | ----------- | ----------------------------- | ------- |
| `js`                        | `WyToasts`  | WyToasts    | lib/components/ui/wy-toast.ts |         |
| `custom-element-definition` | `wy-toasts` | WyToasts    | lib/components/ui/wy-toast.ts |         |
| `js`                        | `WyToast`   | WyToast     | lib/components/ui/wy-toast.ts |         |
| `custom-element-definition` | `wy-toast`  | WyToast     | lib/components/ui/wy-toast.ts |         |
